<template>
  <div class="container mx-auto">
    <header class="p-4">
      <nuxt-link to="/">
        <h1 class="font-black">Dot News</h1>
      </nuxt-link>
    </header>

    <nav class="border-t border-b border-solid border-gray-300">
      <ul class="flex items-center justify-center text-sm">
        <li v-for="category in categories" :key="category.id">
          <nuxt-link :to="category.url" class="inline-block p-2 text-gray-900 hover:text-blue-700">{{ category.title }}</nuxt-link>
        </li>
      </ul>
    </nav>

    <main>
      <nuxt />
    </main>
  </div>
</template>

<script>
export default {
  data() {
    return {
      categories: [
          {
            id: 1,
            title: "Business",
            url: "/category/business"
          },
          {
            id: 1,
            title: "Entertainment",
            url: "/category/entertainment"
          },
          {
            id: 1,
            title: "General",
            url: "/category/general"
          },
          {
            id: 1,
            title: "Health",
            url: "/category/health"
          },
          {
            id: 1,
            title: "Science",
            url: "/category/science"
          },
          {
            id: 1,
            title: "Sports",
            url: "/category/sports"
          },
          {
            id: 1,
            title: "Technology",
            url: "/category/technology"
          },
      ]
    };
  }
};
</script>